gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.LayoutChild

Contents

- Exported types
- Methods
  - getChildWidget
  - getLayoutManager
- Properties
  - childWidget
  - layoutManager

Description

The base class for objects that are meant to hold layout properties.

If a `GtkLayoutManager` has per-child properties, like their packing type, or the horizontal and vertical span, or the icon name, then the layout manager should use a `GtkLayoutChild` implementation to store those properties.

A `GtkLayoutChild` instance is only ever valid while a widget is part of a layout.

Synopsis

- newtype LayoutChild = LayoutChild (ManagedPtr LayoutChild)
- class (GObject o, IsDescendantOf LayoutChild o) => IsLayoutChild o
- toLayoutChild :: (MonadIO m, IsLayoutChild o) => o -> m LayoutChild
- layoutChildGetChildWidget :: (HasCallStack, MonadIO m, IsLayoutChild a) => a -> m Widget
- layoutChildGetLayoutManager :: (HasCallStack, MonadIO m, IsLayoutChild a) => a -> m LayoutManager
- constructLayoutChildChildWidget :: (IsLayoutChild o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o)
- getLayoutChildChildWidget :: (MonadIO m, IsLayoutChild o) => o -> m Widget
- constructLayoutChildLayoutManager :: (IsLayoutChild o, MonadIO m, IsLayoutManager a) => a -> m (GValueConstruct o)
- getLayoutChildLayoutManager :: (MonadIO m, IsLayoutChild o) => o -> m LayoutManager

# Exported types

newtype LayoutChild Source #

Memory-managed wrapper type.

Constructors

LayoutChild (ManagedPtr LayoutChild) |

#### Instances

Instances details

Eq LayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild Methods (==) :: LayoutChild -> LayoutChild -> Bool Source # (/=) :: LayoutChild -> LayoutChild -> Bool Source #
GObject LayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild
ManagedPtrNewtype LayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild Methods toManagedPtr :: LayoutChild -> ManagedPtr LayoutChild Source #
TypedObject LayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild Methods glibType :: IO GType Source #
HasParentTypes LayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild
IsGValue (Maybe LayoutChild) Source # | Convert `LayoutChild` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.LayoutChild Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe LayoutChild -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe LayoutChild) Source #
type ParentTypes LayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild type ParentTypes LayoutChild = '[Object]

class (GObject o, IsDescendantOf LayoutChild o) => IsLayoutChild o Source #

Type class for types which can be safely cast to `LayoutChild`, for instance with `toLayoutChild`.

#### Instances

Instances details

(GObject o, IsDescendantOf LayoutChild o) => IsLayoutChild o Source # |
Instance details Defined in GI.Gtk.Objects.LayoutChild

toLayoutChild :: (MonadIO m, IsLayoutChild o) => o -> m LayoutChild Source #

Cast to `LayoutChild`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getChildWidget, getData, getLayoutManager, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## getChildWidget

layoutChildGetChildWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsLayoutChild a) |
=> a | `layoutChild`: a `GtkLayoutChild`
-> m Widget | Returns: a `GtkWidget`

Retrieves the `GtkWidget` associated to the given `layoutChild`.

## getLayoutManager

layoutChildGetLayoutManager Source #

Arguments

:: (HasCallStack, MonadIO m, IsLayoutChild a) |
=> a | `layoutChild`: a `GtkLayoutChild`
-> m LayoutManager | Returns: a `GtkLayoutManager`

Retrieves the `GtkLayoutManager` instance that created the given `layoutChild`.

# Properties

## childWidget

The widget that is associated to the `GtkLayoutChild` instance.

constructLayoutChildChildWidget :: (IsLayoutChild o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`child-widget`” property. This is rarely needed directly, but it is used by `new`.

getLayoutChildChildWidget :: (MonadIO m, IsLayoutChild o) => o -> m Widget Source #

Get the value of the “`child-widget`” property. When overloading is enabled, this is equivalent to

    get layoutChild #childWidget

## layoutManager

The layout manager that created the `GtkLayoutChild` instance.

constructLayoutChildLayoutManager :: (IsLayoutChild o, MonadIO m, IsLayoutManager a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`layout-manager`” property. This is rarely needed directly, but it is used by `new`.

getLayoutChildLayoutManager :: (MonadIO m, IsLayoutChild o) => o -> m LayoutManager Source #

Get the value of the “`layout-manager`” property. When overloading is enabled, this is equivalent to

    get layoutChild #layoutManager